#include <iostream>
using namespace std;

int main(int argc, char** argv) {
	int n,m;
	char s;
	cin>>n>>m;
	 for(int i=0; i<n; i++){
            for(int j=0;j<m;j++){
                cin>>s;
                
                
            }
        }
        cout<< "-1";
	
}